.TH wxMenuItem 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxMenuItem \- See external documentation: wxMenuItem\&.
.SH DESCRIPTION
.LP
See external documentation: wxMenuItem <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxMenuItem()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxMenuItem()
.br
.RS
.LP
Equivalent to new([])\&.
.RE
.LP
.B
new(Options::[Option]) -> wxMenuItem()
.br
.RS
.TP
Types
Option = {parentMenu, wxMenu() (see module wxMenu)} | {id, integer()} | {text, string()} | {help, string()} | {kind, WxItemKind} | {subMenu, wxMenu() (see module wxMenu)}
.br
WxItemKind = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemwxmenuitem>\&. 
.br
 WxItemKind is one of ?wxITEM_SEPARATOR | ?wxITEM_NORMAL | ?wxITEM_CHECK | ?wxITEM_RADIO | ?wxITEM_MAX
.RE
.LP
.B
check(This::wxMenuItem()) -> ok
.br
.RS
.LP
Equivalent to check(This, [])\&.
.RE
.LP
.B
check(This::wxMenuItem(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {check, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemcheck>\&.
.RE
.LP
.B
enable(This::wxMenuItem()) -> ok
.br
.RS
.LP
Equivalent to enable(This, [])\&.
.RE
.LP
.B
enable(This::wxMenuItem(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {enable, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemenable>\&.
.RE
.LP
.B
getBitmap(This::wxMenuItem()) -> wxBitmap() (see module wxBitmap)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemgetbitmap>\&.
.RE
.LP
.B
getHelp(This::wxMenuItem()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemgethelp>\&.
.RE
.LP
.B
getId(This::wxMenuItem()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemgetid>\&.
.RE
.LP
.B
getKind(This::wxMenuItem()) -> WxItemKind
.br
.RS
.TP
Types
WxItemKind = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemgetkind>\&. 
.br
 WxItemKind is one of ?wxITEM_SEPARATOR | ?wxITEM_NORMAL | ?wxITEM_CHECK | ?wxITEM_RADIO | ?wxITEM_MAX
.RE
.LP
.B
getLabel(This::wxMenuItem()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemgetlabel>\&.
.RE
.LP
.B
getLabelFromText(Text::string()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemgetlabelfromtext>\&.
.RE
.LP
.B
getMenu(This::wxMenuItem()) -> wxMenu() (see module wxMenu)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemgetmenu>\&.
.RE
.LP
.B
getText(This::wxMenuItem()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemgettext>\&.
.RE
.LP
.B
getSubMenu(This::wxMenuItem()) -> wxMenu() (see module wxMenu)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemgetsubmenu>\&.
.RE
.LP
.B
isCheckable(This::wxMenuItem()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemischeckable>\&.
.RE
.LP
.B
isChecked(This::wxMenuItem()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemischecked>\&.
.RE
.LP
.B
isEnabled(This::wxMenuItem()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemisenabled>\&.
.RE
.LP
.B
isSeparator(This::wxMenuItem()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemisseparator>\&.
.RE
.LP
.B
isSubMenu(This::wxMenuItem()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemissubmenu>\&.
.RE
.LP
.B
setBitmap(This::wxMenuItem(), Bitmap::wxBitmap() (see module wxBitmap)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemsetbitmap>\&.
.RE
.LP
.B
setHelp(This::wxMenuItem(), Str::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemsethelp>\&.
.RE
.LP
.B
setMenu(This::wxMenuItem(), Menu::wxMenu() (see module wxMenu)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemsetmenu>\&.
.RE
.LP
.B
setSubMenu(This::wxMenuItem(), Menu::wxMenu() (see module wxMenu)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemsetsubmenu>\&.
.RE
.LP
.B
setText(This::wxMenuItem(), Str::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuitem\&.html#wxmenuitemsettext>\&.
.RE
.LP
.B
destroy(This::wxMenuItem()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
